<?php 
class Producto 
{
    function __construct(public string $nombre="mi Producto", public int $cantidad=3,public float $precio=120, public bool $agotado=false) 
    { }
}

$impresora=new Producto("impresora",10,850.5); 
echo $impresora->nombre, '<br>' ;
echo $impresora->cantidad, '<br>'  ;
echo $impresora->precio, '<br>'  ;
echo $impresora->agotado, '<br>'  ;
